<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@drawable/back"
    tools:context=".MainActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolBar_robot"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/black"
        app:navigationIcon="@drawable/iv_back"
        app:subtitle="充电完成"
        app:subtitleTextColor="@color/white"
        app:title="小白"
        app:titleMarginStart="120dp"
        app:titleTextColor="@color/white"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/rounded_corner"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:text="已割草"
                android:textColor="@color/text_color"
                android:textSize="16sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/text_color"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="min"
                android:textColor="@color/text_color" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:text="|"
            android:textColor="@color/text_color" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:text="割草面积"
                android:textColor="@color/text_color"
                android:textSize="16sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/text_color"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="m²"
                android:textColor="@color/text_color" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:text="|"
            android:textColor="@color/text_color" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:text="电量"
                android:textColor="@color/text_color"
                android:textSize="16sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="100"
                android:textColor="@color/text_color"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="%"
                android:textColor="@color/text_color" />
        </LinearLayout>
    </LinearLayout>

    <ImageView
        android:src="@drawable/iv_more"
        android:layout_marginTop="10dp"
        android:background="@drawable/circle"
        android:layout_marginStart="360dp"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginEnd="10dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginTop="100dp">

        <LinearLayout
            android:layout_marginTop="20dp"
            android:layout_width="0dp"
            android:layout_height="79dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_marginStart="10dp"
                android:background="@drawable/iv_charge" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:text="回充"
                android:textColor="@color/text_white"
                android:textSize="20sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_marginTop="20dp"
            android:layout_width="0dp"
            android:layout_height="79dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_marginStart="10dp"
                android:background="@drawable/iv_switch" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:text="开始割草"
                android:textColor="@color/text_white"
                android:textSize="20sp" />

        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_weight="1"
        android:layout_height="0dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/rounded_corner"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:text="割草模式"
                    android:textColor="@color/text_white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="15dp"
                    android:text="|"
                    android:textColor="@color/text_color" />

                <TextView
                    android:id="@+id/tv_show_power"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="15dp"
                    android:text="待选择"
                    android:textColor="@color/text_color" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_quiet"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_quiet" />

                    <TextView
                        android:id="@+id/tv_quiet"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="安静"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_standard"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_biaozhun" />

                    <TextView
                        android:id="@+id/tv_standard"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="标准"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_strong"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_strong" />

                    <TextView
                        android:id="@+id/tv_strong"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="强力"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_super"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_super" />

                    <TextView
                        android:id="@+id/tv_super"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="超强"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_weight="1"
            android:layout_height="0dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="5dp"
            android:background="@drawable/rounded_corner"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:text="割草高度设置"
                    android:textColor="@color/text_white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="15dp"
                    android:text="|"
                    android:textColor="@color/text_color" />

                <TextView
                    android:id="@+id/tv_show_water"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="15dp"
                    android:text="待选择"
                    android:textColor="@color/text_color" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_water_less"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_short" />

                    <TextView
                        android:id="@+id/tv_water_less"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="低"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_water_medium"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_medium" />

                    <TextView
                        android:id="@+id/tv_water_medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="中"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/btn_water_high"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/iv_high" />

                    <TextView
                        android:id="@+id/tv_water_high"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="高"
                        android:textSize="20sp"
                        android:textColor="@color/text_color" />
                </LinearLayout>


            </LinearLayout>

        </LinearLayout>
    </LinearLayout>


</LinearLayout>
